{
  "_from": "q@^1.5.1",
  "_id": "q@1.5.1",
  "_inBundle": false,
  "_integrity": "sha1-fjL3W0E4EpHQRhHxvxQQmsAGUdc=",
  "_location": "/q",
  "_phantomChildren": {},
  "_requested": {
    "type": "range",
    "registry": true,
    "raw": "q@^1.5.1",
    "name": "q",
    "escapedName": "q",
    "rawSpec": "^1.5.1",
    "saveSpec": null,
    "fetchSpec": "^1.5.1"
  },
  "_requiredBy": [
    "/coa",
    "/conventional-changelog-angular"
  ],
  "_resolved": "https://nexus.boos.solutions/repository/gpb-npm/q/-/q-1.5.1.tgz",
  "_shasum": "7e32f75b41381291d04611f1bf14109ac00651d7",
  "_spec": "q@^1.5.1",
  "_where": "/root/farzoom/eco-ebg/node_modules/conventional-changelog-angular",
  "author": {
    "name": "Kris Kowal",
    "email": "kris@cixar.com",
    "url": "https://github.com/kriskowal"
  },
  "bugs": {
    "url": "http://github.com/kriskowal/q/issues"
  },
  "bundleDependencies": false,
  "contributors": [
    {
      "name": "Kris Kowal",
      "email": "kris@cixar.com",
      "url": "https://github.com/kriskowal"
    },
    {
      "name": "Irakli Gozalishvili",
      "email": "rfobic@gmail.com",
      "url": "http://jeditoolkit.com"
    },
    {
      "name": "Domenic Denicola",
      "email": "domenic@domenicdenicola.com",
      "url": "http://domenicdenicola.com"
    }
  ],
  "dependencies": {},
  "deprecated": false,
  "description": "A library for promises (CommonJS/Promises/A,B,D)",
  "devDependencies": {
    "cover": "*",
    "grunt": "~0.4.1",
    "grunt-cli": "~0.1.9",
    "grunt-contrib-uglify": "~0.9.1",
    "jasmine-node": "1.11.0",
    "jshint": "~2.1.9",
    "matcha": "~0.2.0",
    "opener": "*",
    "promises-aplus-tests": "1.x"
  },
  "directories": {
    "test": "./spec"
  },
  "engines": {
    "node": ">=0.6.0",
    "teleport": ">=0.2.0"
  },
  "files": [
    "LICENSE",
    "q.js",
    "queue.js"
  ],
  "homepage": "https://github.com/kriskowal/q",
  "keywords": [
    "q",
    "promise",
    "promises",
    "promises-a",
    "promises-aplus",
    "deferred",
    "future",
    "async",
    "flow control",
    "fluent",
    "browser",
    "node"
  ],
  "license": "MIT",
  "main": "q.js",
  "name": "q",
  "overlay": {
    "teleport": {
      "dependencies": {
        "system": ">=0.0.4"
      }
    }
  },
  "repository": {
    "type": "git",
    "url": "git://github.com/kriskowal/q.git"
  },
  "scripts": {
    "benchmark": "matcha",
    "cover": "cover run jasmine-node spec && cover report html && opener cover_html/index.html",
    "lint": "jshint q.js",
    "minify": "grunt",
    "prepublish": "grunt",
    "test": "npm ls -s && jasmine-node spec && promises-aplus-tests spec/aplus-adapter && npm run -s lint",
    "test-browser": "opener spec/q-spec.html"
  },
  "version": "1.5.1"
}
